package com.tomwheeler.stocktrader.api.events;

import java.util.EventListener;

/**
 * <p>
 * This interface allows the implementer to be notified upon changes to a 
 * Game, such as starting a new game or ending the current one.
 * </p> 
 * 
 * @author Tom Wheeler
 */
public interface GameListener extends EventListener {
    
    /** This method is called whenever a Game has started */
    public void gameStarted(GameChangeEvent event);
    
    /** This method is called whenever a Game has ended */
    public void gameEnded(GameChangeEvent event);
    
    /** This method is called whenever a new day has started */
    public void dayChanged(GameChangeEvent event);    
}
