package com.tomwheeler.stocktrader.api.events;

import com.tomwheeler.stocktrader.api.NewsStory;

/**
 * <p>
 * This class stores data associated with the publishing of market news stories. 
 * </p> 
 * 
 * @author Tom Wheeler
 */
public class NewsStoryEvent extends AbstractChangeEvent {

    private NewsStory story;

    /** creates a new NewsStoryEvent with the specified description and story */
    public NewsStoryEvent(String changeDescription, NewsStory story) {
        super(changeDescription);
        this.story = story;
    }
        
    /** 
     * <p>
     * This method returns the story whose publication caused this event.
     * </p>
     * 
     * @return the published story
     */ 
    public NewsStory getStory() {
        return story;
    }
}
