package com.tomwheeler.stocktrader.ui.renderer;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

import com.tomwheeler.stocktrader.api.Industry;

/**
 * <p>
 * This class provides a table cell renderer that can display Industry values.
 * There is nothing specific to NetBeans in this class.
 * </p> 
 * 
 * @author Tom Wheeler
 */
public class IndustryCellRenderer extends JLabel implements TableCellRenderer {

    public IndustryCellRenderer() {
        super();
        setOpaque(true);
    }
    
    /* (non-Javadoc)
     * @see javax.swing.table.TableCellRenderer#getTableCellRendererComponent(javax.swing.JTable, java.lang.Object, boolean, boolean, int, int)
     */
    public Component getTableCellRendererComponent(JTable table, Object value,
            boolean isSelected, boolean hasFocus, int row, int column) {
        
        setBackground(isSelected ? table.getSelectionBackground() : table.getBackground());
        setForeground(isSelected ? table.getSelectionForeground() : table.getForeground());
        setFont(table.getFont());
        
        if (value != null) {
          Industry industry = (Industry)value;
          setText(industry.getName());    
        } 
        
        return this;
    }

}
